Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ServiceType

    java.lang.Object
      org.hyperic.hq.product.ServiceType

    public class ServiceType

extends Object

Representation of a service type, equivalent to the data specified by the XML tag

Constructor Summary
`ServiceType(String serviceName, String productName, ServiceTypeInfo info)`

Method Summary
`void` | `addControlAction(String controlAction)` Adds a control action to the collection of control actions
`boolean` | `equals(Object obj)`
`org.hyperic.hq.appdef.shared.AIServiceTypeValue` | `getAIServiceTypeValue()`
`Set` | `getControlActions()`
`org.hyperic.util.config.ConfigSchema` | `getCustomProperties()`
`ServiceTypeInfo` | `getInfo()`
`MeasurementInfos` | `getMeasurements()`
`org.hyperic.util.config.ConfigResponse` | `getPluginClasses()`
`String` | `getProductName()`
`org.hyperic.util.config.ConfigResponse` | `getProperties()`
`String` | `getServiceName()`
`int` | `hashCode()`
`void` | `setControlActions(Set controlActions)`
`void` | `setCustomProperties(org.hyperic.util.config.ConfigSchema customProperties)`
`void` | `setMeasurements(MeasurementInfos measurements)`
`void` | `setPluginClasses(org.hyperic.util.config.ConfigResponse pluginClasses)`
`void` | `setProperties(org.hyperic.util.config.ConfigResponse properties)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceType

    public ServiceType(String serviceName,
                       String productName,
                       ServiceTypeInfo info)

Parameters:
  `serviceName` - The unique service type name (unique with respect to server type)
  `productName` - The name of the product containing this service
  `info` - The `ServiceTypeInfo` describing this service type

Method Detail

### addControlAction

    public void addControlAction(String controlAction)

  Adds a control action to the collection of control actions

  Parameters:
    `controlAction` - The name of the control action to add

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getAIServiceTypeValue

    public org.hyperic.hq.appdef.shared.AIServiceTypeValue getAIServiceTypeValue()

  Returns:
    The `AIServiceTypeValue` representing this ServiceType

### getControlActions

    public Set getControlActions()

  Returns:
    The set of control action names for this `ServiceType`

### getCustomProperties

    public org.hyperic.util.config.ConfigSchema getCustomProperties()

  Returns:
    The custom properties for this `ServiceType`

### getInfo

    public ServiceTypeInfo getInfo()

  Returns:
    The `ServiceTypeInfo` describing this service type

### getMeasurements

    public MeasurementInfos getMeasurements()

  Returns:
    The measurements for this service type

### getPluginClasses

    public org.hyperic.util.config.ConfigResponse getPluginClasses()

  Returns:
    The plugins for this service type. Key of properties map is plugin type (i.e. "control"), value is fully qualified class name of plugin

### getProductName

    public String getProductName()

  Returns:
    The name of the product containing this service

### getProperties

    public org.hyperic.util.config.ConfigResponse getProperties()

  Returns:
    The properties of this service type (the ones used internally). This is equivalent to the direct tag in the service XML (as opposed to the tag which defines custom properties).

### getServiceName

    public String getServiceName()

  Returns:
    The unique service type name (unique with respect to server type)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### setControlActions

    public void setControlActions(Set controlActions)

  Parameters:
    `controlActions` - The set of control action names for this `ServiceType`

### setCustomProperties

    public void setCustomProperties(org.hyperic.util.config.ConfigSchema customProperties)

  Parameters:
    `customProperties` - The custom properties for this `ServiceType`

### setMeasurements

    public void setMeasurements(MeasurementInfos measurements)

  Parameters:
    `measurements` - The measurements for this service type

### setPluginClasses

    public void setPluginClasses(org.hyperic.util.config.ConfigResponse pluginClasses)

  Parameters:
    `pluginClasses` - The plugins for this service type. Key of properties map is plugin type (i.e. "control"), value is fully qualified class name of plugin

### setProperties

    public void setProperties(org.hyperic.util.config.ConfigResponse properties)

  Parameters:
    `properties` - The properties of this service type (the ones used internally). This is equivalent to the direct tag in the service XML (as opposed to the tag which defines custom properties).

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.